Bug 166684 - [ath] [net80211] mgmtrate/mcastrate isn't updated based on the the BSS rate list
Summary: [ath] [net80211] mgmtrate/mcastrate isn't updated based on the the BSS rate list
Status: Open
Alias: None
Product: Base System
Classification: Unclassified
Component: wireless (show other bugs)
Version: 9.0-RELEASE
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-wireless (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-05 23:30 UTC by Adrian Chadd
Modified: 2018-05-28 19:50 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Adrian Chadd freebsd_committer 2012-04-05 23:30:08 UTC
The mgmtrate/mcastrate parameters aren't "fixed" when a station joins a BSS whose basic rate is not the lowest rate.

Ie, if the rate set is advertised at {12, 24, 36, 48, 54} in an 802.11a BSS, FreeBSD will still try TX'ing 6MB and treat that as the basic rate.

It'll be TXed (and hopefully ACKed) but then ath_rate_sample complains that the rate doesn't exist.

How-To-Repeat: Associate to an AP that doesn't announce the lowest 11b/11a rate.
Comment 1 Adrian Chadd freebsd_committer 2012-04-05 23:55:43 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-wireless

punt to maintainer.
Comment 2 Eitan Adler freebsd_committer freebsd_triage 2018-05-28 19:50:07 UTC
batch change:

For bugs that match the following
-  Status Is In progress 
AND
- Untouched since 2018-01-01.
AND
- Affects Base System OR Documentation

DO:

Reset to open status.


Note:
I did a quick pass but if you are getting this email it might be worthwhile to double check to see if this bug ought to be closed.